LLVM: lldb::SBMemoryRegionInfoList Class Reference
Description: C++ source code API documentation for LLDB.
Keywords: LLDB,C++,doxygen,API,documentation

LLDB API Documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | List of all members
lldb::SBMemoryRegionInfoList Class Reference

`#include <SBMemoryRegionInfoList.h>`

## Public Member Functions
| SBMemoryRegionInfoList ()
| SBMemoryRegionInfoList (const lldb::SBMemoryRegionInfoList &rhs)
const SBMemoryRegionInfoList & | operator= (const SBMemoryRegionInfoList &rhs)
| ~SBMemoryRegionInfoList ()
uint32_t | GetSize () const
bool | GetMemoryRegionAtIndex (uint32_t idx, SBMemoryRegionInfo &region_info)
void | Append (lldb::SBMemoryRegionInfo &region)
void | Append (lldb::SBMemoryRegionInfoList &region_list)
void | Clear ()

## Protected Member Functions
const MemoryRegionInfoListImpl * | operator-> () const
const MemoryRegionInfoListImpl & | operator* () const

## Detailed Description

Definition at line 19 of file SBMemoryRegionInfoList.h.

## Constructor & Destructor Documentation

lldb::SBMemoryRegionInfoList::SBMemoryRegionInfoList | ( |  | ) |

lldb::SBMemoryRegionInfoList::SBMemoryRegionInfoList | ( | const lldb::SBMemoryRegionInfoList & | rhs | ) |

lldb::SBMemoryRegionInfoList::~SBMemoryRegionInfoList | ( |  | ) |

## Member Function Documentation

void lldb::SBMemoryRegionInfoList::Append | ( | lldb::SBMemoryRegionInfo & | region | ) |

void lldb::SBMemoryRegionInfoList::Append | ( | lldb::SBMemoryRegionInfoList & | region_list | ) |

void lldb::SBMemoryRegionInfoList::Clear | ( |  | ) |

bool lldb::SBMemoryRegionInfoList::GetMemoryRegionAtIndex | ( | uint32_t | idx,
|  | SBMemoryRegionInfo & | region_info
| ) |  |

uint32_t lldb::SBMemoryRegionInfoList::GetSize | ( |  | ) | const

const MemoryRegionInfoListImpl& lldb::SBMemoryRegionInfoList::operator* | ( |  | ) | const
| protected

const MemoryRegionInfoListImpl* lldb::SBMemoryRegionInfoList::operator-> | ( |  | ) | const
| protected

const SBMemoryRegionInfoList& lldb::SBMemoryRegionInfoList::operator= | ( | const SBMemoryRegionInfoList & | rhs | ) |

The documentation for this class was generated from the following file:

- SBMemoryRegionInfoList.h